> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sturdytechnologies.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Virtual Cards

> Get a Virtual Card by Virtual Card ID



## OpenAPI

````yaml GET /cards/virtual/{card_id}
openapi: 3.1.0
info:
  title: Sturdy Technologies API
  description: API documentation for Sturdy Technologies Service
  contact: {}
  version: '1.0'
servers:
  - url: https://sandbox.sturdytechnologies.com/v3
    description: Sandbox server
security: []
paths:
  /cards/virtual/{card_id}:
    get:
      tags:
        - Cards
      summary: Get Virtual Card
      description: Get a Virtual Card by Virtual Card ID
      operationId: getVirtualCard
      parameters:
        - name: card_id
          in: path
          description: Card Identifier
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateCardResp'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResp'
      security:
        - BearerAuth: []
components:
  schemas:
    CreateCardResp:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/CardData'
        message:
          type: string
        success:
          type: boolean
    ErrorResp:
      type: object
      properties:
        message:
          type: string
          example: Invalid request
        success:
          type: boolean
          example: false
    CardData:
      type: object
      properties:
        card_balance:
          type: integer
          example: 1000
        card_brand:
          type: string
          enum:
            - Visa
            - Mastercard
          description: Brand of the card
        card_id:
          type: string
          example: card_12345
        card_name:
          type: string
          example: John D. Card
        card_status:
          type: string
          enum:
            - Active
            - Inactive
            - Blocked
            - Deleted
        card_type:
          type: string
          enum:
            - Lite
            - Multiuse-Lite
            - Virtual
            - Physical
          description: Type of card
        currency:
          type: string
          example: USD
        cvv:
          type: string
          example: '123'
        expiration:
          type: string
          example: 12/25
        first_six:
          type: string
          example: '123456'
        last_four:
          type: string
          example: '7890'

````